@media print {
  .desktop-title {
    display: none;
  }
}
.stop-page-content-wrapper {
  min-height: 0;
  display: flex;
  flex-direction: column;
  height: 100%;
  position: relative;
  overflow: hidden;
  background-color: white;

  @media print {
    display: block;
  }
}

.stop-page-content {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.stop-page.header {
  @include font-medium;
  @media print {
    padding-left: 0;
  }
}

.stop-no-alerts-container,
.stop-no-departures-container {
  align-items: center;
  background-color: white;
  color: $gray;
  display: flex;
  flex: 1 0 6em;
  flex-direction: column;
  text-align: center;
  padding-top: 20px;
  min-height: 50vh;

  @media print {
    display: none;
  }

  .icon {
    font-size: 2.5em;
  }
}

.stop-scroll-container {
  flex-basis: 0px;
  flex-grow: 1;
  .departure-list {
    overflow-x: hidden;
    width: 100%;
    margin: 0;
    border-spacing: 0;
    tr, td {
      padding: 0;
    }
  }
}
.mobile .stop-scroll-container {
  flex-basis: 100%;
  overflow-y: visible;
}

.desktop .stop-page.header {
  h1 {
    margin: 1px 19px 1px 0;
    font-family: $heading-font-family;
    font-size: 24px;
    font-weight: $font-weight-medium;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: -0.8px;
  }

  .card-code {
    font-size: 11px;
    font-weight: $font-weight-medium;
    margin-left: 4px;
    margin-right: 5px;
    padding: 0px 2px 0px 2px;
  }
  .circle {
    padding: 0px 3px 0px 2px;
    &.A {
      padding: 0px 3px 0px 3px;
    }
    &.B {
      padding: 0px 3px 0px 2.5px;
    }
    &.D {
      padding: 0px 3px 0px 3px;
    }
  }
}

.mobile .stop-page.header {
  .card-code {
    margin-right: 2px;
  }
}

.selected-stop-popup {
  p {
    display: inline;
  }
  .card-code {
    border: 1px solid $light-gray;
    border-radius: $border-radius;
    font-size: $font-size-xxsmall;
    color: #666666;
  }
  .description {
    color: #666666;
  }
}

.stop-page-content > .departure-list {
  flex-basis: 0;
  flex-grow: 20;
  transition: flex-grow 300ms;

  &.stop-page-content-enter,
  &.stop-page-content-leave {
    will-change: flex-grow;
  }

  &.stop-page-content-enter.stop-page-content-enter-active {
    flex-grow: 20;
  }

  &.stop-page-content-enter,
  &.stop-page-content-leave.stop-page-content-leave-active {
    flex-grow: 0;
  }
}

.stop-tab-container {
  display: flex;
  background-color: #dddddd;
  border-radius: 5px;
  margin: 8px 64px 16px 64px;
  position: relative;
  @media print {
    display: none;
  }
}

.stop-tabs-fillerline {
  height: 10px;
  background: $white;
}

.stop-tab-singletab,
.stop-tab-singletab:hover {
  display: flex;
  align-items: center;
  min-height: 3em;
  flex-grow: 1;
  font-size: $font-size-xxsmall;
  border-radius: 3px;
  cursor: pointer;
  color: #333333;
  text-align: center;
  transition: 0.1s all ease-in;
  padding-top: 0;
  margin: 2px;
  padding-left: 0.5em;
  padding-right: 0.5em;
  text-decoration: none;
  font-weight: normal;

  + .stop-tab-singletab {
    border-left: 1px solid $light-gray;
  }

  &.active,
  &.active:hover {
    background-color: $white;
    font-weight: $font-weight-medium;
  }

  .active-disruption-alert {
    .icon-container {
      vertical-align: middle;
      margin-right: 5px;
      .icon {
        width: 0.85em;
        height: 0.95em;
      }
    }
  }
  .active-service-alert {
    .icon-container {
      vertical-align: middle;
      margin-right: 5px;
    }
    .service-alert-icon {
      fill: rgba(136, 136, 136, 1);
    }
  }

  .no-alerts span {
    color: #888;
  }

  @media print {
    display: none;
  }
}

.stop-tab-singletab-container {
  display: block;
  margin: 0 auto;
  letter-spacing: -0.4px;
  span {
    font-size: $font-size-small;
  }
}

.stop-page-departure-wrapper {
  padding: 0em 60px 0em 60px;
}

.stop-page-tab_icon {
  color: white;
  height: 24px;
  width: 24px;
}

.departure-list-header {
  color: $gray;
  background-color: $white;
  @include font-narrow-book;
  font-size: $font-size-xxsmall;
  white-space: nowrap;
  padding-left: 0.5em;
  line-height: $line-height-normal;
  display: flex;
  flex-direction: row;

  & > span {
    display: inline-block;
    vertical-align: top;
  }
  .route-number-header {
    width: 4em;
  }
  .route-destination-header {
    flex: 1 0 176px;
  }
  .time-header {
    font-weight: inherit;
    text-align: right;
    width: 3.5em;
    margin-right: 2em;
  }
}

.desktop .departure-list-header {
  .route-number-header {
    width: 45px;
  }
  .time-header {
    width: 50px;
  }
}

.stop-page.departure-list {
  padding: 0px 0px 15px 5px;
  .departure-day-divider {
    height: 15px;
    width: 100%;
    background-color: #f4f4f5;
    border-radius: 5px;
    border: 1px solid #eaeaea;
  }
  .departure-row {
    width: 100%;
    min-height: 50px;
    &.no-border {
      border: none;
    }
    &.bottom {
      height: 70px;
      padding-top: 12px;
      align-items: baseline;
      .drop-off-container {
        margin-top: 5px;
      }
    }
    .route-arrival {
      span {
        vertical-align: sub;
      }
    }
    .route-number-container {
      width: 3em;
      height: 1.5em;
      margin-top: 2px;
      min-width: 2.25em;
      padding: 0 4px;
      .route-number {
        .icon-container {
          font-size: 1.5em;
          line-height: 1;
        }
      }
    }
    .time-cell {
      display: flex;
      align-items: center;
      flex-wrap: wrap;
      max-width: 100px;
    }
    &.realtime {
      color: $realtime-color;
    }
    &.canceled {
      color: $cancelation-red;
    }
  }
  .route-headsign {
    font-family: $font-family-narrow;
    font-weight: $font-weight-book;
    color: #333;
    flex: 1;
    padding-left: $padding-medium;
    overflow: clip;
    white-space: normal;
    margin-bottom: -2px;
  }
  .route-time {
    font-size: $font-size-small;
    font-weight: $font-weight-medium;
    color: #333;
    &.realtime {
      color: $realtime-color;
    }
    &.canceled {
      color: $cancelation-red;
    }
  }
  .platform-code {
    background: #f4f4f5;
    color: #333333;
    width: 28px;
    height: 24px;
    border-radius: 4px;
    font-size: $font-size-small;
    font-weight: $font-weight-medium;
    text-align: center;
    margin-left: 13px;
    margin-right: 0.3em;
    line-height: 1.6;
    white-space: nowrap;
    margin-bottom: -2px;
    &.empty {
      background: none;
    }
  }
}

.mobile .stop-page.departure-list .departure-row {
  .route-arrival {
    top: 0.03125rem;
    padding-bottom: 0;
  }
}

.desktop .stop-page.departure-list {
  .departure-row {
    .route-headsign {
      padding-left: $padding-medium;
      font-weight: $font-weight-book;
      color: #333;
      flex: 1;
      overflow: clip;
      white-space: normal;
      margin-bottom: -2px;
    }
  }
}

.selected-stop-header {
  color: $black;
}

#stop-page-action-bar {
  display: flex;
  justify-content: space-between;
  z-index: 400; //get shadow over map
  padding: 5px 10px;
  padding-bottom: 0.6em;
  text-align: right;

  @media print {
    display: none;
  }
}

.action-bar {
  a.external-link {
    font-size: $font-size-xxsmall;
    color: $gray-blue;
    svg.icon {
      top: 3px;
      font-size: 14px;
      position: relative;
    }
  }
  .external-link-icon-outer {
    color: #eef1f3;
  }
  .external-link-icon {
    color: $gray-blue;
  }
}
.external-stop-link {
  float: right;
  margin-right: 14px;
  margin-top: 14px;

  a {
    color: $link-color !important;
    text-decoration: none;
    @include font-medium;
  }

  .external-link-icon-outer {
    color: white;
  }

  .external-link-icon {
    color: $primary-color;
  }
}

.external-stop-link-font {
  display: inline-block;
  vertical-align: text-top;
  color: blue;
  font-size: $font-size-xxsmall;
  text-decoration: none;
}

hr.action-bar {
  margin: 0;
  border: 0;
  border-top: 1px solid #ddd;
  width: 100%;
  padding-bottom: 8px;
}

.desktop {
  #stop-page-action-bar {
    height: auto;
  }
  .action-bar {
    a.external-link {
      font-size: 14px;
      line-height: 22px;
      svg.icon {
        font-size: 18px;
      }
    }
  }
}

.filter-stop-modal-overlay {
  position: fixed;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.2);
  z-index: 1000; // Needs to be higher than the navbar
}

.filter-stop-modal {
  position: absolute;
  z-index: 99999;
  background-color: #ffffff;
  border-radius: 8px;
  width: 100%;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  max-width: 720px;

  .filter-stop-modal-header {
    margin: auto;
    margin-top: 2.5em;
    margin-left: 1em;
    text-align: center;
  }

  .all-routes-header {
    display: flex;
    padding-left: 1em;
    padding-bottom: 0.6em;
    margin-top: 1.1em;
    width: 100%;
    border-bottom: 1px solid $background-color;
  }

  .all-routes-header-title {
    margin-top: 0.3em;
    font-size: $font-size-small;
    font-weight: $font-weight-medium;
  }

  .routes-container {
    overflow-y: scroll;
    height: 500px;
    border-radius: 0px 0px 8px 8px;
  }

  .route-row {
    display: flex;
    border-top: 1px solid $background-color;
    padding-top: 0.75em;
    padding-bottom: 0.3em;
    padding-left: 1em;
    width: 100%;
  }
  .checkbox-container {
    margin-right: 2em;
    margin-top: 0.2em;
    position: relative;

    & input[type='checkbox'] {
      opacity: 0;
      width: 2em;
      height: 2em;
    }
    & label {
      width: 2.3em;
      height: 2.3em;
      border: 1px solid #78909c;
      border-radius: 4px;
      background-color: $white;
      cursor: pointer;
      position: absolute;
      top: -0.3em;
      left: 0;
      & .checkbox-icon {
        width: 2.3em;
        height: 2.3em;
      }
      &.checked {
        border: none;
      }
    }
    input[type='checkbox']:focus + label {
      outline: black solid 1px;
    }
  }

  .route-mode {
    margin-right: 3px;

    svg {
      width: 1.6em;
      height: 1.2em;
      margin-top: 4px;
    }
  }

  .route-headsign {
    font-family: $font-family-narrow;
    font-weight: $font-weight-book;
    margin-top: 0.1em;
  }
}

.timetablerow-linetime {
  display: inline-flex;
  justify-content: flex-start;
  min-width: 4.0625rem;
  margin-bottom: 4px;
}

.timetable-topbar {
  display: flex;
  justify-content: center;
  background: $white;
  margin: 8px 48px 16px 64px;
  .secondary-button.print {
    @media print {
      display: none;
    }
  }
}

.timetable-for-printing-header {
  display: none;
  @media print {
    display: block;
    h1 {
      font-family: $heading-font-family;
      font-size: 13px;
      font-weight: $font-weight-book;
    }
  }
}

.stop-page-action-bar {
  display: flex;
  justify-content: flex-start;
  padding-left: 60px;
  background: #fff;
}

.print-button-container {
  display: flex;
  height: 50px;
  align-items: center;
  z-index: 22;

  button {
    margin: 11px 10px 11px 0;
  }

  @media print {
    display: none;
  }
}

.timetable-for-printing {
  display: none;
  @media print {
    display: block;
    padding-top: $padding-medium;
    padding-bottom: $padding-medium;
    background: $white;
    border-top: 1px solid $light-gray;
    border-bottom: 1px solid $light-gray;

    .printable-date-container {
      display: flex;

      .printable-date-icon {
        margin-right: 0.8em;
        svg {
          width: 28.3px;
          height: 28px;
        }
      }
      .printable-date-header {
        font-size: 11px;
        font-weight: $font-weight-book;
      }
      .printable-date-content {
        font-size: 12px;
        font-weight: $font-weight-medium;
      }
    }
  }
}

.timetable-showroutes {
  display: flex;
  margin-bottom: 0.3em;
}

.showroutes-icon {
  & svg,
  .showroutes-icon-svg {
    width: 24px;
    height: 24px;
  }
  @media print {
    margin-left: 0;
  }
}

.mobile-filter-stop-modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100%;
  bottom: 0;
  right: 0;
  background-color: none;
  z-index: 1000; // Needed to cover up the navbar
  //transform: translate(-50%, -50%);
}

.mobile {
  .print-button-container {
    display: none;
  }

  .timetable-topbar {
    margin: 1px 16px 16px 16px;
  }

  .stop-tab-container {
    border-bottom: none;
    margin: 0em 16px 16px 16px;
  }
  .stop-tabs-fillerline {
    height: 5px;
  }
  .stop-page-departure-wrapper {
    padding: 0em 16px 0em 16px;
  }

  .filter-stop-modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100%;
    bottom: 0;
    right: 0;
    background-color: none;
    z-index: 1000; // Needs to be higher than the navbar
    //transform: translate(-50%, -50%);
  }

  .filter-stop-modal {
    background-color: #ffffff;
    z-index: 99999;
    height: 100%;
    width: 100%;
    overflow: scroll;
    min-height: 100%;
    max-width: 100%;
    position: fixed;
    border-radius: 0;
    transform: translate(-50%, -50%);
    //left: 0;
    //top: 0;
  }

  .routes-container {
    height: 100%;
  }

  .showroutes-header {
    width: 41%;
  }
  .departure-list-header {
    margin-top: 0em;
  }
  .route-number-header {
    width: 3.5em;
  }

  .time-cell {
    margin-top: 1px;
  }
}
